<?php
/**
 * Section Reorder
 *
 * @package Memoir Lite
**/

$memoir_lite_default = memoir_lite_get_default_theme_options();

// Section Reorder
$wp_customize->add_section( 'wedev_home_section_reorder',
	array(
	'title'      => esc_html__( 'Section Reorder', 'memoir-lite' ),
	'capability' => 'edit_theme_options',
	'panel'		 => 'memoir_lite_home',
	)
);


$wp_customize->add_setting(
	'home_section_order_6', 
	array(
		'default' => $memoir_lite_default['home_section_order_6'],
		'sanitize_callback' => 'memoir_lite_sanitize_reorder',						
	)
);

$wp_customize->add_control(
	new Memoir_Lite_Sortable_Control(
		$wp_customize,
		'home_section_order_6',
		array(
			'section'     => 'wedev_home_section_reorder',
			'label'       => __( 'Home Section Re-Order', 'memoir-lite' ),
			'choices'     => array(
        		'banner'   => __( 'Slide Banner Section', 'memoir-lite' ),
        		'featured-category'  => __( 'Featured Category', 'memoir-lite' ),
        		'latest-posts'   => __( 'Latest Posts', 'memoir-lite' ),
        	),
		)
	)
);