<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Memoir Lite
 */
$memoir_lite_default = memoir_lite_get_default_theme_options();
$enable_author_box = get_theme_mod( 'enable_author_box',$memoir_lite_default['enable_author_box'] );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('wedevs-post wedevs-single-article'); ?> itemscope itemtype="https://schema.org/Blog">

    <?php
    $memoir_lite_default = memoir_lite_get_default_theme_options();
    $layout = esc_html( get_post_meta( get_the_ID(), 'memoir_lite_post_layout', true ) );
    if( empty( $layout ) || $layout == 'global' ){
        $layout = get_theme_mod( 'single_post_layout',$memoir_lite_default['single_post_layout'] );
    }
    
    if( ( !is_page() && !is_single() ) || $layout != 'banner' ){ ?>

    	<header class="entry-header">

            <?php
            if ( 'post' === get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php
                    memoir_lite_entry_cat();
                    ?>
                </div><!-- .entry-meta -->
            <?php endif;

    		the_title( '<h1 class="entry-title entry-title-large" itemprop="headline"><a itemprop="url" href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );

            if ( 'post' === get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php
                    memoir_lite_posted_on();
                    memoir_lite_posted_by();
                    ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>


    	</header><!-- .entry-header -->

    <?php
    }

    if( ( !is_page() && !is_single() ) || $layout != 'banner' ){
        memoir_lite_post_thumbnail();
    } ?>


    <div class="post-content">
        <div class="entry-content" itemprop="text">
            <?php
            the_content(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'memoir-lite' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post( get_the_title() )
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'memoir-lite' ),
                    'after'  => '</div>',
                )
            );

            if ( 'post' === get_post_type() ) : ?>

                <footer class="entry-footer">
                    <div class="entry-footer-left">
                        <?php memoir_lite_entry_tag(); ?>
                    </div>

                    <div class="entry-footer-right">
                        <div class="wedevs-social-share">
                            <?php memoir_lite_social_share(); ?>
                        </div>
                    </div>
                </footer><!-- .entry-footer -->

            <?php endif;

            if( 'post' === get_post_type() && $enable_author_box ){
                memoir_lite_author_box();
            }

            if( 'post' === get_post_type() ){
                memoir_lite_single_navigation();
            }
            // If comments are open or we have at least one comment, load up the comment template.
            if (comments_open() || get_comments_number()) :
                comments_template();
            endif; ?>

        </div><!-- .entry-content -->

    </div>

</article><!-- #post-<?php the_ID(); ?> -->
