<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Memoir Lite
 */

$memoir_lite_default = memoir_lite_get_default_theme_options();
$enable_social_link = get_theme_mod( 'enable_social_link', $memoir_lite_default['enable_social_link'] );
?>

 <div class="site-header-area site-header-top">
    <div class="site-wrapper-fluid">
        <div class="site-row">

            <div class="site-column site-column-2 site-column-sm-6">
                <div class="site-header-components header-components-left">

                    <div class="header-component-item">
                        <button class="toggle nav-toggle mobile-nav-toggle" data-toggle-target=".menu-modal" data-toggle-body-class="showing-menu-modal" aria-expanded="false" data-set-focus=".close-nav-toggle">
                            <?php memoir_lite_get_theme_svg('menu'); ?>
                        </button>
                    </div>

                    <div class="header-component-item hidden-sm-screen">
                        <?php if ($enable_social_link) { ?>
                            <?php memoir_lite_social_icon(); ?>
                        <?php } ?>
                    </div>

                </div>
            </div>


            <div class="site-column site-column-8 hidden-sm-screen">

                <nav class="primary-menu-wrapper"
                     aria-label="<?php esc_attr_e('Horizontal', 'memoir-lite'); ?>" role="navigation" itemscope itemtype="https://schema.org/SiteNavigationElement">
                    <ul class="primary-menu reset-list-style">

                        <?php
                        if( has_nav_menu('memoir-lite-primary-menu') ){

                            wp_nav_menu(
                                array(
                                    'container' => '',
                                    'items_wrap' => '%3$s',
                                    'theme_location' => 'memoir-lite-primary-menu',
                                )
                            );

                        } else {

                            wp_list_pages(
                                array(
                                    'match_menu_classes' => true,
                                    'show_sub_menu_icons' => true,
                                    'title_li' => false,
                                    'walker' => new Memoir_Lite_Walker_Page(),
                                )
                            );

                        } ?>

                    </ul>
                </nav>

            </div>


            <div class="site-column site-column-2 site-column-sm-6">
                <div class="site-header-components header-components-right">

                    <?php
                    // Check whether the header search is activated in the customizer.
                    $enable_header_search = get_theme_mod('enable_header_search', $memoir_lite_default['enable_header_search']);

                    if ($enable_header_search) { ?>
                        <div class="header-component-item">
                            <button class="toggle search-toggle mobile-search-toggle" data-toggle-target=".search-modal" data-toggle-body-class="showing-search-modal" data-set-focus=".search-modal .search-field" aria-expanded="false">
                                <?php memoir_lite_get_theme_svg('search'); ?>
                            </button>
                        </div>
                    <?php } ?>

                    <div class="header-component-item wedevs-minicart">
                        <?php
                        if (class_exists('WooCommerce')) {
                            ecommerce_prime_woocommerce_header_cart();
                        } ?>
                    </div>

                </div>
            </div>


        </div>
    </div>

</div>